Nearglass

Read a stream

GET
/v1/streams/{id}

Authorization

secretKey
headerAuthorizationBearer <token>

sk_...

Path Parameters

id*string

Response Body

the stream, and where to publish (without the key)

application/json
  1. response
id?string
name?string
namespace?string
mode?string
Value in"broadcast""interactive"
ingest?array<string>
viewer_cap?integer
queue_max?integer
admission?string
Value in"server""public"
max_kbps?integer

as given at creation; recorded, not enforced yet

has_stream_key?boolean
created_at?string
Formatdate-time
publish?
Example Request
curl -X GET 'https://api.nearglass.com/v1/streams/st_8f2c41d09a7be3105c6e2d77'
Example Response
{  "id": "string",  "name": "string",  "namespace": "string",  "mode": "broadcast",  "ingest": [    "string"  ],  "viewer_cap": 0,  "queue_max": 0,  "admission": "server",  "max_kbps": 0,  "has_stream_key": true,  "created_at": "2019-08-24T14:15:22Z",  "publish": {    "stream_key": "string",    "rtmp": "string",    "srt": "string",    "rtmp_server": "string",    "srt_server": "string",    "sdk": {      "relays": [        "string"      ],      "namespace": "string",      "token_endpoint": "string"    }  }}